DKBSignDocs

API reference

GETRequires Bearer token

Get clients show

/api/clients/show/{client}

Retrieve /api/clients/show/{client}. Authenticated routes need Authorization: Bearer {token} from POST /api/v1/login.

Path parameters

FieldTypeDescription
client
Required
stringPath parameter client.

Query parameters

This endpoint has no query parameters.

Request body

This endpoint does not accept a request body.

Responses

StatusMeaning
200Client
401Missing or invalid Bearer token.

Request

curl
curl -X GET 'https://api.dkbsigns.com/api/clients/show/client' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN'

Response 200

json
{
  "client": {
    "id": 12,
    "name": "Dupont",
    "firstname": "Marie",
    "email": "marie@example.com",
    "phone": "+2250700000000",
    "cni_number": "CI123456",
    "motif_demande": "Account opening"
  }
}